org.freedesktop.realmd.Service

## org.freedesktop.realmd.Service org.freedesktop.realmd.Service — the realmd service |

## Methods

    Cancel    (IN  s operation);
    SetLocale (IN  s locale);
    Release   ();

## Signals

    Diagnostics (s data,
                 s operation);

## Description

Global calls for managing the realmd service. Usually you'll want to use org.freedesktop.realmd.Provider instead.

This interface is implemented by the realmd service, and is always available at the object path `/org/freedesktop/realmd`

The service also implements the `org.freedesktop.DBus.ObjectManager` interface which makes it easy to retrieve all realmd objects and properties in one go.

## Method Details

### The Cancel() method

    Cancel (IN  s operation);

Cancel a realmd operation. To be able to cancel an operation, pass a uniquely chosen `operation` string identifier as an option in the method's `options` argument.

These operation string identifiers should be unique per client calling the realmd service.

It is not guaranteed that the service can or will cancel the operation. For example, the operation may have already completed by the time this method is handled. The caller of the operation method will receive a `org.freedesktop.realmd.Error.Cancelled` if the operation was cancelled.

`IN s `operation``: | the operation to cancel

### The SetLocale() method

    SetLocale (IN  s locale);

Set the language `locale` for the client. This locale is used for error messages. The locale is used until the next time this method is called, the client disconnects, or the client calls #Release().

`IN s `locale``: | the locale for the client

### The Release() method

    Release ();

Normally, realmd waits until all clients have disconnected before exiting itself sometime later. Long lived clients can call this method to allow the realmd service to quit. This is an optimization. The daemon will not exit immediately. It is safe to call this multiple times.

## Signal Details

### The "Diagnostics" signal

    Diagnostics (s data,
                 s operation);

This signal is fired when diagnostics result from an operation in the provider or one of its realms.

It is not guaranteed that this signal is emitted once per line. More than one line may be contained in `data`, or a partial line. New line characters are embedded in `data`.

This signal is sent explicitly to the client which invoked an operation method. In order to tell which operation this diagnostic data results from, pass a unique `operation` string identifier in the `options` argument of the operation method. That same identifier will be passed back via the `operation` argument of this signal.

`s `data``: | diagnostic data
`s `operation``: | the operation this data resulted from